curl --request POST \
--url https://api.synctera.com/v2/verifications/docv_session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"language": "EN-US",
"send_message": false
}
'import requests
url = "https://api.synctera.com/v2/verifications/docv_session"
payload = {
"person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"language": "EN-US",
"send_message": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
language: 'EN-US',
send_message: false
})
};
fetch('https://api.synctera.com/v2/verifications/docv_session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"session_token": "907ce33a-c564-454e-a538-804efe31e6ac",
"status": "PENDING",
"url": "https://verify.socure.com/session/907ce33a-c564-454e-a538-804efe31e6ac",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Initiate Document Verification Session
Initiate document verification session to be used with /verifications/verify.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Unique ID for the person. Exactly one of person_id or business_id must be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
If provided, the document_type is used to constrain the type of document that can be collected from the end-customer.
LICENSE, PASSPORT The language to be used in the document verification session. If not provided, defaults to EN-US.
AR, AR-SA, BN, CS-CZ, DA-DK, DE-DE, EN, EN-AU, EN-CA, EN-GB, EN-US, ES, ES-001, ES-AR, ES-ES, ES-MX, ES-US, FI-FI, FR, FR-CA, HE-IL, HI-IN, HT, HU-HU, HY, ID-ID, IT, IT-CH, JA-JP, KO, MS-MY, NL-NL, NO-NO, PL-PL, PT-BR, PT-PT, RO-MO, RO-RO, RU, SK-SK, SV-SE, TH-TH, TL, TR-TR, UR, VI, ZH-CN, ZH-HK, ZH-TW "EN-US"
Send an SMS containing the document verification link to the end-customer using the phone number provided on the customer record.
false
Response
Created document verification session token.
Unique ID for the person. Exactly one of person_id or business_id must be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
ID of the document verification session to be used in /verifications/verify request.
"907ce33a-c564-454e-a538-804efe31e6ac"
The current state of the document verification session. One of the following:
PENDING– the session is pending verification.COMPLETE– the end-customer has submitted the requested documents.
COMPLETE, PENDING "PENDING"
URL of the document verification session which can be shared with the end-customer.
"https://verify.socure.com/session/907ce33a-c564-454e-a538-804efe31e6ac"
Unique ID for this document verification session.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Was this page helpful?

